---
updatedAt: 2025-06-12T23:58:45.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Transactions Summary

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/transactions-summary": {
      "get": {
        "summary": "Transactions Summary",
        "description": "",
        "operationId": "transactions-summary",
        "parameters": [
          {
            "name": "paymentId",
            "in": "query",
            "description": "Id of the Payment",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "for example: PAYMENT, TRANSFER",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "paymentScheme",
            "in": "query",
            "description": "SCT, FPS, SWIFT",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "amount(gte)",
            "in": "query",
            "description": "Filter greater than or equal amount",
            "schema": {
              "type": "number",
              "format": "float"
            }
          },
          {
            "name": "amount(lte)",
            "in": "query",
            "description": "Filter less than or equal amount",
            "schema": {
              "type": "number",
              "format": "float"
            }
          },
          {
            "name": "createdAt(gte)",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdAt(lte)",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "direction",
            "in": "query",
            "description": "CREDIT, DEBIT",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"totalCredit\": \"5769830.00\",\n    \"totalDebit\": \"2715183.09\",\n    \"totalSummary\": \"3054646.91\",\n    \"filteredCredit\": \"5769830.00\",\n    \"filteredDebit\": \"0.00\",\n    \"filteredSummary\": \"5769830.00\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "totalCredit": {
                      "type": "string",
                      "example": "5769830.00"
                    },
                    "totalDebit": {
                      "type": "string",
                      "example": "2715183.09"
                    },
                    "totalSummary": {
                      "type": "string",
                      "example": "3054646.91"
                    },
                    "filteredCredit": {
                      "type": "string",
                      "example": "5769830.00"
                    },
                    "filteredDebit": {
                      "type": "string",
                      "example": "0.00"
                    },
                    "filteredSummary": {
                      "type": "string",
                      "example": "5769830.00"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"INVALID_REQUEST_QUERY_PARAMS\",\n    \"message\": \"Invalid query params.\",\n    \"warnings\": [\n        {\n            \"position\": \"paymentScheme\",\n            \"issue\": \"Provided value 'FPSS' is not supported. Please use one of the following supported values [BSB,DE,NPP,FPS,CHAPS,SCT,RIX,KRONOS2,EAGLE_NET_TRANSFER,BACS,ACH,ACH_SAME_DAY,WIRE,SWIFT,EMT_EAGLE_NET].\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "INVALID_REQUEST_QUERY_PARAMS"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid query params."
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "position": {
                            "type": "string",
                            "example": "paymentScheme"
                          },
                          "issue": {
                            "type": "string",
                            "example": "Provided value 'FPSS' is not supported. Please use one of the following supported values [BSB,DE,NPP,FPS,CHAPS,SCT,RIX,KRONOS2,EAGLE_NET_TRANSFER,BACS,ACH,ACH_SAME_DAY,WIRE,SWIFT,EMT_EAGLE_NET]."
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```